FROM squidfunk/mkdocs-material:latest

# Laufzeit-Pakete (inkl. weasyprint) + temporäre Build-Dependencies zum Kompilieren (z.B. libsass)
RUN apk add --no-cache \
        weasyprint \
        cairo \
        pango \
        gdk-pixbuf \
        libjpeg-turbo \
        zlib \
        fontconfig \
        ttf-dejavu \
    && apk add --no-cache --virtual .build-deps \
        build-base python3-dev libffi-dev cairo-dev pango-dev gdk-pixbuf-dev libjpeg-turbo-dev zlib-dev pkgconfig \
    && pip install --no-cache-dir mkdocs-to-pdf \
    && apk del .build-deps